$small-component-radius: 20px;
$medium-component-radius: 20px;
@use '~@material/theme' with (
    $primary: #0d6efd,
);
@use '~@material/shape';
@use '~@material/card';
@use '~@material/button/styles' as button;
@use '~@material/button/mixins' as button-mixins;
@use '~@material/tooltip/styles' as tooltip;
@use '~@material/dialog/index' as dialog;
@use '~@material/floating-label/mdc-floating-label';
@use '~@material/line-ripple/mdc-line-ripple';
@use '~@material/notched-outline/mdc-notched-outline';
@use '~@material/textfield/index' as textfield;
@use '~@material/textfield/mixins' as textfield-mixins;
@use '~@material/textfield/icon';
@use '~@material/ripple/styles' as ripple;
@include card.core-styles;
@include dialog.core-styles;
@include textfield.core-styles;
@include icon.icon-core-styles;

$button-radius: 20px;
$outline-button-colour: #e1edff;

.mdc-button {
    --mdc-typography-button-text-transform: none;
    @include shape.radius($button-radius);
}

.mdc-button .mdc-button__ripple {
    --mdc-shape-small: 25px;
}

.mdc-button--outlined {
    @include button-mixins.container-fill-color($outline-button-colour);
    @include button-mixins.outline-color($outline-button-colour);
}

.mdc-dialog .mdc-dialog__surface {
    @include shape.radius(0);
}

.mdc-text-field {
    border-radius: 25px;
    @include textfield-mixins.outline-shape-radius(25px);
    @include textfield-mixins.fill-color(white);
    @include textfield-mixins.outline-color(#000000);
    @include textfield-mixins.hover-outline-color(#0d6efd);
}

.login-form__input {
    height: 36px;
}

.search-input {
    @include textfield-mixins.outlined-height(46px);
}

.mdc-notched-outline {
    border-radius: 25px;
    transition:
        border-color .15s ease-in-out,
        box-shadow .15s ease-in-out;
}

.search-input .mdc-notched-outline {
    box-shadow:
        0 1px 3px rgba(0, 0, 0, .12),
        0 1px 2px rgba(0, 0, 0, .24);
    transition: box-shadow .3s cubic-bezier(.25, .8, .25, 1);
}

.search-input:hover .mdc-notched-outline {
    box-shadow:
        0 0 0 .1rem rgb(13 110 253 / 25%),
        0 3px 6px rgba(0, 0, 0, .16),
        0 3px 6px rgba(0, 0, 0, .23);
}

.search-input .mdc-text-field--focused .mdc-notched-outline {
    box-shadow:
        0 0 0 .1rem rgb(13 110 253 / 25%),
        0 3px 6px rgba(0, 0, 0, .16),
        0 3px 6px rgba(0, 0, 0, .23);
}
